# timespan::get-days

Returns the number of whole days represented by the specified TimeSpan.

### Usage

`int timespan::get-days(value)`

### Parameters

Name | Type | Description
--- | --- | ---
value | timespan | A TimeSpan.

### Return Value

The number of whole days represented by the given TimeSpan.

### Examples

- Remove all files that have not been modified in the last 7 days from directory "binaries".

      <foreach item="File" in="binaries" property="filename">
          <if test="${timespan::get-days(datetime::now() - file::get-last-write-time(filename)) >= 7}">
              <delete file="${filename}" />
          </if>
      </foreach>

### Requirements

Assembly: NAnt.Core (0.90.3780.0)